<?php
/**
 * Generated by the WordPress Meta Box Generator
 * https://jeremyhixon.com/tool/wordpress-meta-box-generator/
 *
 * Retrieving the values:
 * Hide Featured Image From Page = get_post_meta( get_the_ID(), 'writers_portfolio_hide-featured-image-from-page', true )
 * Page Sidebar = get_post_meta( get_the_ID(), 'writers_portfolio_page-sidebar', true )
 * Hide Page Title Section = get_post_meta( get_the_ID(), 'writers_portfolio_hide-page-title-section', true )
 */
class Writers_Portfolio_Hide_Featured_Image_From_Page {
	private $config = '{"title":"Writers Portfolio Pro Settings","prefix":"writers_portfolio_","domain":"writers-portfolio","class_name":"Writers_Portfolio_Hide_Featured_Image_From_Page","post-type":["post","page"],"context":"side","priority":"high","fields":[{"type":"checkbox","label":"Hide Featured Image From Page","id":"writers_portfolio_hide-featured-image-from-page"},{"type":"select","label":"Page Sidebar","default":"customizer","options":"customizer : Customizer Settings\r\nno : No Sidebar\r\nleft : Left Sidebar\r\nright : Right Sidebar","id":"writers_portfolio_page-sidebar"},{"type":"checkbox","label":"Hide Page Title Section","id":"writers_portfolio_hide-page-title-section"}]}';

	public function __construct() {
		$this->config = json_decode( $this->config, true );
		add_action( 'add_meta_boxes', [ $this, 'add_meta_boxes' ] );
		add_action( 'admin_head', [ $this, 'admin_head' ] );
		add_action( 'save_post', [ $this, 'save_post' ] );
	}

	public function add_meta_boxes() {
		foreach ( $this->config['post-type'] as $screen ) {
			add_meta_box(
				sanitize_title( $this->config['title'] ),
				$this->config['title'],
				[ $this, 'add_meta_box_callback' ],
				$screen,
				$this->config['context'],
				$this->config['priority']
			);
		}
	}

	public function admin_head() {
		global $typenow;
		if ( in_array( $typenow, $this->config['post-type'] ) ) {
			?><style>.rwp-checkbox-label {
					display: block;
				}</style><?php
		}
	}

	public function save_post( $post_id ) {
		foreach ( $this->config['fields'] as $field ) {
			switch ( $field['type'] ) {
				case 'checkbox':
					update_post_meta( $post_id, $field['id'], isset( $_POST[ $field['id'] ] ) ? $_POST[ $field['id'] ] : '' );
					break;
				default:
					if ( isset( $_POST[ $field['id'] ] ) ) {
						$sanitized = sanitize_text_field( $_POST[ $field['id'] ] );
						update_post_meta( $post_id, $field['id'], $sanitized );
					}
			}
		}
	}

	public function add_meta_box_callback() {
		$this->fields_div();
	}

	private function fields_div() {
	    $post_type = get_post_type();

	    foreach ( $this->config['fields'] as $field ) {
	        // Check if the post type is 'post' and the field ID should be excluded
	        if ( $post_type === 'post' && in_array( $field['id'], array( 'writers_portfolio_hide-featured-image-from-page', 'writers_portfolio_hide-page-title-section' ) ) ) {
	            continue; // Skip this field for 'post' post type
	        }
	        ?><div class="components-base-control">
	            <div class="components-base-control__field"><?php
	                $this->label( $field );
	                $this->field( $field );
	            ?></div>
	        </div><?php
	    }
	}

	private function label( $field ) {
		switch ( $field['type'] ) {
			default:
				printf(
					'<label class="components-base-control__label" for="%s">%s</label>',
					$field['id'], $field['label']
				);
		}
	}

	private function field( $field ) {
		switch ( $field['type'] ) {
			case 'checkbox':
				$this->checkbox( $field );
				break;
			case 'select':
				$this->select( $field );
				break;
			default:
				$this->input( $field );
		}
	}

	private function checkbox( $field ) {
		printf(
			'<label class="rwp-checkbox-label"><input %s id="%s" name="%s" type="checkbox"> %s</label>',
			$this->checked( $field ),
			$field['id'], $field['id'],
			isset( $field['description'] ) ? $field['description'] : ''
		);
	}

	private function input( $field ) {
		printf(
			'<input class="components-text-control__input %s" id="%s" name="%s" %s type="%s" value="%s">',
			isset( $field['class'] ) ? $field['class'] : '',
			$field['id'], $field['id'],
			isset( $field['pattern'] ) ? "pattern='{$field['pattern']}'" : '',
			$field['type'],
			$this->value( $field )
		);
	}

	private function select( $field ) {
		printf(
			'<select id="%s" name="%s">%s</select>',
			$field['id'], $field['id'],
			$this->select_options( $field )
		);
	}

	private function select_selected( $field, $current ) {
		$value = $this->value( $field );
		if ( $value === $current ) {
			return 'selected';
		}
		return '';
	}

	private function select_options( $field ) {
		$output = [];
		$options = explode( "\r\n", $field['options'] );
		$i = 0;
		foreach ( $options as $option ) {
			$pair = explode( ':', $option );
			$pair = array_map( 'trim', $pair );
			$output[] = sprintf(
				'<option %s value="%s"> %s</option>',
				$this->select_selected( $field, $pair[0] ),
				$pair[0], $pair[1]
			);
			$i++;
		}
		return implode( '<br>', $output );
	}

	private function value( $field ) {
		global $post;
		if ( metadata_exists( 'post', $post->ID, $field['id'] ) ) {
			$value = get_post_meta( $post->ID, $field['id'], true );
		} else if ( isset( $field['default'] ) ) {
			$value = $field['default'];
		} else {
			return '';
		}
		return str_replace( '\u0027', "'", $value );
	}

	private function checked( $field ) {
		global $post;
		if ( metadata_exists( 'post', $post->ID, $field['id'] ) ) {
			$value = get_post_meta( $post->ID, $field['id'], true );
			if ( $value === 'on' ) {
				return 'checked';
			}
			return '';
		} else if ( isset( $field['checked'] ) ) {
			return 'checked';
		}
		return '';
	}
}
new Writers_Portfolio_Hide_Featured_Image_From_Page;