<?php
/**
 * About Me Customizer Settings
 */
Kirki::add_section( 'ba_about_me_section', array(
    'title'          => esc_html__( 'About Section', 'writers-portfolio' ),
    'panel'          => 'writers_portfolio_alp_panel',
    'active_callback'   => function(){
        $template_parts = get_theme_mod( 'frontpage_sections', array( 'books-slider', 'about-section', 'books-gallery' ) );
        if (is_array($template_parts) && !empty($template_parts) && in_array('about-section', $template_parts)) {
            return true;
        }
        return false;
    },
) );

Kirki::add_field( 'writers_portfolio_config', [
	'type'     => 'text',
	'settings' => 'about_welcome_text',
	'label'    => esc_html__( 'Welcome Text', 'writers-portfolio' ),
	'section'  => 'ba_about_me_section',
	'default'  => esc_html__( 'Meet Author', 'writers-portfolio' ),
	'transport' => 'postMessage',
    'js_vars'   => [
        [
            'element'  => '.about-me-content-wrapper .welcome-text',
            'function' => 'html',
        ]
    ],
] );

$booksQuery = get_posts(array(
	'numberposts'	=> -1,
	'post_type'   => 'page'
));

$booksLists = array('0' => '-----');

if (is_array($booksQuery) && !empty($booksQuery)) {
	foreach($booksQuery as $book):
		$booksLists[$book->post_name] = $book->post_title;
	endforeach;
}

wp_reset_postdata();

Kirki::add_field( 'writers_portfolio_config', array(
	'type'     => 'select',
	'settings' => 'about_me_page',
	'label'    => esc_html__( 'About Me Page', 'writers-portfolio' ),
	'section'  => 'ba_about_me_section',
	'transport' => 'refresh',
	'choices'     => $booksLists,
) );

Kirki::add_field( 'writers_portfolio_config', [
    'type'        => 'toggle',
    'settings'    => 'show_about_button',
    'label'       => esc_html__( 'Show About Button', 'writers-portfolio' ),
    'section'     => 'ba_about_me_section',
    'default'     => '1',
] );

Kirki::add_field( 'writers_portfolio_config', [
	'type'     => 'text',
	'settings' => 'about_button_text',
	'label'    => esc_html__( 'Button Text', 'writers-portfolio' ),
	'section'  => 'ba_about_me_section',
	'default'  => esc_html__( 'About Me', 'writers-portfolio' ),
	'transport' => 'postMessage',
    'js_vars'   => [
        [
            'element'  => '.about-me-content-wrapper .about-me-button a',
            'function' => 'html',
        ]
    ],
    'active_callback' => [
        [
            'setting'  => 'show_about_button',
            'operator' => '==',
            'value'    => '1',
        ],
    ],
] );

Kirki::add_field( 'writers_portfolio_config', [
	'type'     => 'text',
	'settings' => 'about_button_link',
	'label'    => esc_html__( 'Button Link', 'writers-portfolio' ),
	'section'  => 'ba_about_me_section',
	'default'  => '#',
	'transport' => 'refresh',
    'active_callback' => [
        [
            'setting'  => 'show_about_button',
            'operator' => '==',
            'value'    => '1',
        ],
    ],
] );


Kirki::add_field( 'writers_portfolio_config', [
    'type'        => 'toggle',
    'settings'    => 'show_about_section_s_l',
    'label'       => esc_html__( 'Show Social Links', 'writers-portfolio' ),
    'section'     => 'ba_about_me_section',
    'default'     => '1',
] );