<?php
Kirki::add_section( 'books_gallery_section', array(
    'title'          => esc_html__( 'Books Gallery Section', 'writers-portfolio' ),
    'panel'          => 'writers_portfolio_alp_panel',
    'active_callback'   => function(){
        $template_parts = get_theme_mod( 'frontpage_sections', array( 'books-slider', 'about-section', 'books-gallery' ) );
        if (is_array($template_parts) && !empty($template_parts) && in_array('books-gallery', $template_parts)) {
            return true;
        }
        return false;
    },
) );

Kirki::add_field( 'writers_portfolio_config', [
	'type'        => 'number',
	'settings'    => 'bg_books_per_page',
	'label'       => esc_html__( 'Books Per Page', 'writers-portfolio' ),
	'section'     => 'books_gallery_section',
	'default'    => 6,
] );

Kirki::add_field( 'writers_portfolio_config', [
    'type'        => 'text',
    'settings'    => 'bg_section_title_text',
    'label'       => esc_html__( 'Section Title Text', 'writers-portfolio' ),
    'section'     => 'books_gallery_section',
    'default'    =>  esc_html__('Read My Books', 'writers-portfolio'),
] );

Kirki::add_field( 'writers_portfolio_config', [
    'type'        => 'text',
    'settings'    => 'bg_view_button_text',
    'label'       => esc_html__( 'View All Button Text', 'writers-portfolio' ),
    'section'     => 'books_gallery_section',
    'default'    =>  esc_html__('View All', 'writers-portfolio'),
] );


Kirki::add_field( 'writers_portfolio_config', [
    'type'        => 'text',
    'settings'    => 'bg_view_button_link',
    'label'       => esc_html__( 'View All Button Text', 'writers-portfolio' ),
    'section'     => 'books_gallery_section',
    'default'    =>  '#',
] );