<?php
Kirki::add_section( 'books_slider_section', array(
    'title'          => esc_html__( 'Books Slider Section', 'writers-portfolio' ),
    'panel'          => 'writers_portfolio_alp_panel',
    'active_callback'   => function(){
        $template_parts = get_theme_mod( 'frontpage_sections', array( 'books-slider', 'about-section', 'books-gallery' ) );
        if (is_array($template_parts) && !empty($template_parts) && in_array('books-slider', $template_parts)) {
            return true;
        }
        return false;
    },
) );

Kirki::add_field( 'writers_portfolio_config', [
    'type'        => 'select',
    'settings'    => 'books_slider_layout',
    'label'       => esc_html__( 'Books Slider Layout', 'writers-portfolio' ),
    'section'     => 'books_slider_section',
    'default'     => 'carousel',
    'choices'     => [
        'carousel'  => esc_html__( 'Carousel Layout', 'writers-portfolio' ),
        'featured' => esc_html__( 'Full Width Featured', 'writers-portfolio' ),
    ],
] );

Kirki::add_field( 'writers_portfolio_config', [
	'type'        => 'number',
	'settings'    => 'bs_books_per_page',
	'label'       => esc_html__( 'Total Books For Slide', 'writers-portfolio' ),
	'section'     => 'books_slider_section',
	'default'    => 6,
] );

Kirki::add_field( 'writers_portfolio_config', [
    'type'        => 'select',
    'settings'    => 'books_slider_image_position',
    'label'       => esc_html__( 'Book Image Position', 'writers-portfolio' ),
    'section'     => 'books_slider_section',
    'default'     => 'right',
    'choices'     => [
        'left'  => esc_html__( 'Left', 'writers-portfolio' ),
        'right' => esc_html__( 'Right', 'writers-portfolio' ),
    ],
] );