<?php
Kirki::add_section( 'footer_settings_section', array(
    'title'          => esc_html__( 'Footer Settings', 'writers-portfolio' ),
    'panel'          => 'writers_portfolio_global_panel',
    'capability'     => 'edit_theme_options',
) );

Kirki::add_field( 'writers_portfolio_config', [
    'type'        => 'toggle',
    'settings'    => 'show_footer_social_links',
    'label'       => esc_html__( 'Show Footer Social Links', 'writers-portfolio' ),
    'section'     => 'footer_settings_section',
    'default'     => 'off',
    'choices' => [
        'on'  => esc_html__( 'Show', 'writers-portfolio' ),
        'off' => esc_html__( 'Hide', 'writers-portfolio' )
    ]
] );

Kirki::add_field( 'rs_personal_blog_config', array(
    'type'        => 'custom',
    'settings'    => 'sep_after_social_links',
    'label'       => '',
    'section'     => 'footer_settings_section',
    'default'     => '<hr>',
) );

Kirki::add_field( 'writers_portfolio_config', [
    'type'        => 'toggle',
    'settings'    => 'show_footer_nav_menu',
    'label'       => esc_html__( 'Show Footer Nav Menu', 'writers-portfolio' ),
    'section'     => 'footer_settings_section',
    'default'     => 'off',
    'choices' => [
        'on'  => esc_html__( 'Show', 'writers-portfolio' ),
        'off' => esc_html__( 'Hide', 'writers-portfolio' )
    ]
] );

Kirki::add_field( 'rs_personal_blog_config', array(
    'type'        => 'custom',
    'settings'    => 'sep_after_footer_nav',
    'label'       => '',
    'section'     => 'footer_settings_section',
    'default'     => '<hr>',
) );

Kirki::add_field( 'writers_portfolio_config', [
    'type'        => 'color',
    'settings'    => 'footer_bg_color',
    'label'       => __( 'Footer Background Color', 'writers-portfolio' ),
    'section'     => 'footer_settings_section',
    'default'     => '#fdf9f6',
    'transport'   => 'auto',
    'output' => array(
        array(
            'element'  => 'footer.site-footer, .site-copyright',
            'property' => 'background-color',
        ),
    ),
] );

Kirki::add_field( 'writers_portfolio_config', [
    'type'        => 'color',
    'settings'    => 'footer_text_color',
    'label'       => __( 'Footer Text Color', 'writers-portfolio' ),
    'section'     => 'footer_settings_section',
    'default'     => '#000000',
    'transport'   => 'auto',
    'output' => array(
        array(
            'element'  => '.footer-social-links .social-link a, .footer-nav-menu ul li a',
            'property' => 'color',
        ),
        array(
            'element'  => '.footer-content .widget h2.widget-title.footer-title:before',
            'property' => 'background-color',
        ),
    ),
] );

Kirki::add_field( 'writers_portfolio_config', [
    'type'        => 'color',
    'settings'    => 'copyright_text_color',
    'label'       => __( 'Copyright Text Color', 'writers-portfolio' ),
    'section'     => 'footer_settings_section',
    'default'     => '#000000',
    'transport'   => 'auto',
    'output' => array(
        array(
            'element'  => '.site-copyright-text, .theme-by-wrapper .theme-by-inner, .theme-by-wrapper .theme-by-inner a',
            'property' => 'color',
        ),
    ),
] );
