<?php
Kirki::add_section( 'header_settings_section', array(
    'title'          => esc_html__( 'Header Settings', 'writers-portfolio' ),
    'description'    => esc_html__( 'Customize Site Header section', 'writers-portfolio' ),
    'panel'          => 'writers_portfolio_global_panel',
    'capability'     => 'edit_theme_options',
) );

Kirki::add_field( 'writers_portfolio_config', [
    'type'        => 'select',
    'settings'    => 'header_layouts',
    'label'       => esc_html__( 'Header Layout', 'writers-portfolio' ),
    'section'     => 'header_settings_section',
    'default'     => 'two',
    'choices'     => [
        'one' => esc_html__( 'Layout One', 'writers-portfolio' ),
        'two' => esc_html__( 'Layout Two', 'writers-portfolio' ),
    ],
] );

Kirki::add_field( 'writers_portfolio_config', [
    'type'        => 'toggle',
    'settings'    => 'logo_title_inline',
    'label'       => esc_html__( 'Inline Logo & Title', 'writers-portfolio' ),
    'section'     => 'header_settings_section',
    'default'     => '1',
    'active_callback' => function(){
        $getHeaderLayouts = get_theme_mod('header_layouts', 'two');
        if (true == $getHeaderLayouts) {
            return true;
        }
        return false;
    }
] );

Kirki::add_field( 'writers_portfolio_config', [
    'type'        => 'color',
    'settings'    => 'header_bg_color',
    'label'       => esc_html__( 'Header Background Color', 'writers-portfolio' ),
    'section'     => 'header_settings_section',
    'default'     =>  '#ffffff',
    'transport'   => 'auto',
    'output'      => [
        [
            'element' => 'header.site-header.header-two, header.site-header.header-one',
            'property' => 'background-color',
        ],
    ],
    'active_callback' => function(){
        $headerImg = get_header_image();
        if (empty($headerImg)) {
            return true;
        }
        return false;
    }
] );

Kirki::add_field( 'writers_portfolio_config', [
    'type'        => 'color',
    'settings'    => 'header_overly_color',
    'label'       => esc_html__( 'Header Overly Color', 'writers-portfolio' ),
    'section'     => 'header_settings_section',
    'transport'   => 'auto',
    'choices'     => [
            'alpha' => true,
        ],
    'output'      => [
        [
            'element' => '.header-overly-color',
            'property' => 'background-color',
        ],
    ],
    'active_callback' => function(){
        $headerImg = get_header_image();
        $headerLayout = get_theme_mod('header_layouts', 'two');
        if ('one' == $headerLayout && !empty($headerImg)) {
            return true;
        }
        return false;
    }
] );


Kirki::add_field( 'writers_portfolio_config', [
    'type'        => 'typography',
    'settings'    => 'header_title_typography',
    'label'       => esc_html__( 'Site Title Typography', 'writers-portfolio' ),
    'section'     => 'header_settings_section',
    'default'     => [
        'font-family'    => 'Roboto',
        'variant'        => 'bold',
        'font-size'      => '1.7rem',
        'line-height'    => '1.6',
        'letter-spacing' => '0px',
        'color'          => '#000000',
        'text-transform' => 'none',
    ],
    'transport'   => 'auto',
    'output'      => [
        [
            'element' => 'header.site-header.header-two .site-branding .site-title a, header.site-header.header-two .site-branding .site-title, header.site-header.header-one .site-branding .site-title a, header.site-header.header-one .site-branding .site-title',
        ],
    ],
] );

Kirki::add_field( 'writers_portfolio_config', [
    'type'        => 'typography',
    'settings'    => 'header_desc_typography',
    'label'       => esc_html__( 'Site Description Typography', 'writers-portfolio' ),
    'section'     => 'header_settings_section',
    'default'     => [
        'font-family'    => 'Roboto',
        'variant'        => 'regular',
        'font-size'      => '1rem',
        'line-height'    => '1.4',
        'letter-spacing' => '0px',
        'color'          => '#000000',
        'text-transform' => 'none',
    ],
    'transport'   => 'auto',
    'output'      => [
        [
            'element' => 'header.site-header.header-two .site-branding p.site-description, header.site-header.header-one .site-branding p.site-description',
        ],
    ],
] );

Kirki::add_field( 'writers_portfolio_config', [
    'type'        => 'typography',
    'settings'    => 'header_menu_typography',
    'label'       => esc_html__( 'Menu Typography', 'writers-portfolio' ),
    'section'     => 'header_settings_section',
    'default'     => [
        'font-family'    => 'Roboto',
        'variant'        => 'regular',
        'font-size'      => '1rem',
        'line-height'    => '1.6',
        'letter-spacing' => '0px',
        'color'          => '#000000',
        'text-transform' => 'none',
    ],
    'transport'   => 'auto',
    'output'      => [
        [
            'element' => 'header.site-header.header-two #cssmenu>ul>li>a, header.site-header.header-one #cssmenu>ul>li>a',
        ],
    ],
] );