<?php
/**
 * Enqueue scripts and styles.
 */
function writers_portfolio_scripts() {
	$showBookSlider = get_theme_mod('books_slider_on_off', false);
	if (class_exists('WooCommerce') && is_product()) {
		wp_enqueue_style( 'slick', esc_url(get_theme_file_uri( 'assets/css/slick.css' )) );
	}
	wp_enqueue_style( 'writers-portfolio-style', get_stylesheet_uri() );
	wp_enqueue_style( 'writers-portfolio-about', esc_url( get_theme_file_uri('assets/css/about-me-section.css') ) );

	wp_enqueue_script( 'writers-portfolio-menu', esc_url( get_template_directory_uri() ) . '/assets/js/menu.js', array( 'jquery' ), '1.0', true );
	if (class_exists('WooCommerce') && is_product()) {
		wp_enqueue_script( 'slick', esc_url( get_template_directory_uri() ) . '/assets/js/slick.js', array( 'jquery' ), '1.0', true );
	}
	wp_enqueue_script( 'writers-portfolio-active', esc_url( get_template_directory_uri() ) . '/assets/js/active.js', array( 'jquery' ), '1.0', true );
	if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
		wp_enqueue_script( 'comment-reply' );
	}
}
add_action( 'wp_enqueue_scripts', 'writers_portfolio_scripts' );

add_action('customize_controls_enqueue_scripts', 'writers_portfolio_customizer_scripts');
function writers_portfolio_customizer_scripts(){
	wp_enqueue_style('customizer-style', esc_url(get_theme_file_uri('assets/customizer/customizer-style.css')));
}

add_action('enqueue_block_editor_assets', 'writers_portfolio_global_scripts');
add_action('wp_enqueue_scripts', 'writers_portfolio_global_scripts');

function writers_portfolio_global_scripts(){
	wp_enqueue_style( 'bootstrap-grid', esc_url(get_theme_file_uri( 'assets/css/bootstrap-grid.css' )) );
	wp_enqueue_style( 'fontawesome', esc_url(get_theme_file_uri( 'assets/css/fontawesome.css' )) );
	wp_enqueue_style( 'block-style', esc_url(get_theme_file_uri( 'assets/blocks-style/block-styles.css' )) );
}


add_action('wp_print_footer_scripts', 'author_portfolio_pro_print_scripts');
function author_portfolio_pro_print_scripts(){
	/**
	 * Print Below Script if its woocommerce product page
	 */
	if (class_exists('WooCommerce') && is_product()) {
		?>
		<script type="text/javascript" id="writers-portfolio-product-page-sliders">
			jQuery('.active-single-gallery').slick({
		        slidesToShow: 1,
		        slidesToScroll: 1,
		        dots: true,
		        arrows: true,
		        fade: true,
		        nextArrow: '<div class="slick-next"><i class="fa fa-arrow-right"></i></div>',
		        prevArrow: '<div class="slick-prev"><i class="fa fa-arrow-left"></i></div>',
		    });
			jQuery('.active-product-related-post-slider').slick({
		        slidesToShow: 4,
		        slidesToScroll: 1,
		        dots: false,
		        arros: true,
		        centerMode: false,
		        focusOnSelect: true,
		        nextArrow: '<div class="slick-next"><i class="fa fa-arrow-right"></i></div>',
		        prevArrow: '<div class="slick-prev"><i class="fa fa-arrow-left"></i></div>',
		    });
		</script>
		<?php
	}
}

function writers_portfolio_admin_scripts() {
	global $pagenow;
	if ($pagenow === 'post.php' || $pagenow === 'post-new.php') {
		wp_enqueue_style( 'writers-portfolio-admi-style', get_theme_file_uri('assets/admin-style.css') );
	}
}
add_action( 'admin_enqueue_scripts', 'writers_portfolio_admin_scripts', 10, 1 );