<?php
/**
 * Getting Started Help Notic
 **/
function writers_portfolio_general_admin_notice(){
?>
<div data-dismissible="disable-done-notice-forever" class="notice notice-info writers-portfolio-welcome-notice">
    <div class="writers-portfolio-notice-wrapper">
        <div class="writers-portfolio-notice-inner">
            <div class="notice-thumbnail-col">
              <img src="<?php echo esc_url(get_theme_file_uri('assets/img/writers-portfolio-pro-thumb.png'));?>" alt="<?php esc_attr_e('Writers Portfolio Pro', 'writers-portfolio');?>">
            </div>
            <div class="notice-content-col">
              <h3>
               <?php esc_html_e('Thank you for installing the Writers Portfolio WordPress Theme.', 'writers-portfolio'); ?>
              </h3>
              <p class="notice-desc">
              <?php esc_html_e('Ready to create a stunning author website? Click the Install Starter Author Website Templates button, and you\'ll be redirected to our demo page to get started.', 'writers-portfolio'); ?>
              </p>
              <p>
              <a class="writers-portfolio-btn-get-started button button-primary writers-portfolio-button-padding" href="#" data-name="" data-slug="">
              <?php esc_html_e( 'Install Starter Author Website Templates', 'writers-portfolio' );?></a>
              <a target="_blank" href="<?php echo esc_url('https://rswpthemes.com/documentations/');?>" class="button button-highlight btn-doc button-primary" style="color:#fff;"><span style="margin-top:4px;margin-right:5px;" class="dashicons dashicons-video-alt3"></span>
              <?php esc_html_e( ' Video Documentation', 'writers-portfolio' );?></a>
              <a target="_blank" href="<?php echo esc_url(writers_portfolio_utm_url('welcome_notice'));?>" class="button button-highlight upgrade-to-pro button-primary"><?php esc_html_e( 'Upgrade To Pro', 'writers-portfolio' );?></a>
              <a href="?writers_portfolio_notice_dismissed" style="text-decoration: none; float: right;">
              <?php esc_html_e( 'Dismiss Notice', 'writers-portfolio' );?></a>
              </p>
            </div>
        </div>
    </div>
</div>
<?php
}

if ( isset( $_GET['writers_portfolio_notice_dismissed'] ) ){
   update_option('writers_portfolio_help_notice', 'notice_writers_portfolio_dismissed');
   set_transient('welcome_notice_dismissed_time', time(), 24 * 60 * 60);
}

add_action('admin_init', function(){
    $writers_portfolio_help_notice = get_option('writers_portfolio_help_notice', '');
    if('writers_portfolio_notice_dismissed' === $writers_portfolio_help_notice) {
        $dismissed_time = get_transient('welcome_notice_dismissed_time');
        if (false === $dismissed_time && time() > $dismissed_time + ( 24 * 60 * 60 )) {
            delete_option('writers_portfolio_notice_dismissed');
            delete_transient('welcome_notice_dismissed_time');
            add_action('admin_notices', 'writers_portfolio_general_admin_notice');
        }
    }
});

$writers_portfolio_help_notice = get_option('writers_portfolio_help_notice', '');
if (($writers_portfolio_help_notice != 'notice_writers_portfolio_dismissed' || $writers_portfolio_help_notice === '') ){
   add_action('admin_notices', 'writers_portfolio_general_admin_notice');
}