<?php
$post_column_layout = 'col-sm-12';
$post_classes = 'writers-portfolio-standard-post';
if ( ! has_post_thumbnail() ) {
	$post_classes = 'writers-portfolio-standard-post no-post-thumbnail ';
}
$post_el_is_on = array(
	'show_post_category' => get_theme_mod('show_post_category', true),
	'show_post_thumbnail' => get_theme_mod('show_post_thumbnail', true),
	'show_post_date' => get_theme_mod('show_post_date', true),
	'show_post_author' => get_theme_mod('show_post_author', true),
	'show_post_title' => get_theme_mod('show_post_title', true),
	'show_post_excerpt' => get_theme_mod('show_post_excerpt', true),
);
if (!is_single()) :
?>
<div class="<?php echo esc_attr( $post_column_layout ); ?> blog-grid-layout">
<?php endif; ?>
	<article id="post-<?php the_ID(); ?>" <?php post_class( $post_classes ); ?>>
		<div class="writers-portfolio-standard-post__entry-content text-left">
			<?php if ( has_post_thumbnail() ) : ?>
				<div class="writers-portfolio-standard-post__thumbnail post-header">
					<?php
					if (true == $post_el_is_on['show_post_thumbnail']) :
						writers_portfolio_post_thumbnail();
					endif;?>
				</div>
			<?php endif;?>
			<div class="writers-portfolio-standard-post__content-wrapper">
				<?php
				if( true == $post_el_is_on['show_post_category'] ) :
				?>
				<div class="writers-portfolio-standard-post__post-meta">
					<div class="writers-portfolio-standard-post__post-meta mb-3">
						<?php writers_portfolio_categories(); ?>
					</div>
				</div>
				<?php
				endif;?>
				<?php
				if( true == $post_el_is_on['show_post_title'] ) :?>
				<div class="writers-portfolio-standard-post__post-title">
					<a href="<?php the_permalink(); ?>"><h2><?php the_title(); ?></h2></a>
				</div>
				<?php
				endif;
				?>
				<div class="writers-portfolio-standard-post__blog-meta">
					<div class="author-and-date-together">
						<?php
						if (true == $post_el_is_on['show_post_author']) :
						?>
						<div class="author-image">
							<?php
							echo get_avatar( get_the_author_meta( 'ID' ), 45, '', '', null );
							?>
						</div>
						<?php endif; ?>
						<div class="author-name-and-date">
							<?php
							if (true == $post_el_is_on['show_post_author']) : ?>
							<span class="author-name">
								<?php echo esc_html( get_the_author_meta( 'nickname' ) ); ?>
							</span>
							<?php
							endif;
							if( true == $post_el_is_on['show_post_date'] ) :
							?>
							<div class="post-short-date">
								<?php
								writers_portfolio_posted_on( false, true );
								?>
							</div>
							<?php
							endif;
							?>
						</div>
					</div>
				</div>
				<?php
				if(true == $post_el_is_on['show_post_excerpt']) : ?>
					<div class="writers-portfolio-standard-post__post-excerpt">
						<?php the_excerpt();?>
					</div>
				<?php
				endif;?>
				<div class="writers-portfolio-standard-post__post-loop-footer">
					<div class="continue-reading-btn">
						<a href="<?php the_permalink();?>"><?php esc_html_e( 'Continue Reading....', 'writers-portfolio' );?></a>
					</div>
				</div>
			</div>
		</div>
	</article>
<?php
if (!is_single()) : ?>
</div>
<?php endif; ?>