<?php
/**
 * Books Slider
 */
$sliderLayout = get_theme_mod('books_slider_layout', 'carousel');
$booksPerPage = get_theme_mod('bs_books_per_page', 6);
$imagePosition = get_theme_mod('books_slider_image_position', 'right');

$sliderShortCodeAtts = array(
	'books_per_page' => intval($booksPerPage),
	'order' => 'DESC',
	'orderby' => 'name',
	'show_author' => 'true',
	'show_title' => 'true',
	'title_type' => 'title',
	'show_image' => 'true',
	'image_type' => 'book_cover',
	'image_position' => $imagePosition,
	'show_excerpt' => 'true',
	'excerpt_type' => 'excerpt',
	'excerpt_limit' => '30',
	'show_price' => 'true',
	'show_buy_button' => 'true',
	'show_msl' => 'false',
	'msl_title_align' => 'left',
	'content_align' => 'left',
	'slider_style' => $sliderLayout
);

if ('carousel' == $sliderLayout) {
	$sliderShortCodeAtts['image_position'] = 'top';
	$sliderShortCodeAtts['show_msl'] = 'false';
	$sliderShortCodeAtts['content_align'] = 'center';
}

$shortcode_atts = '';
foreach ($sliderShortCodeAtts as $key => $value) {
    $shortcode_atts .= $key . '="' . $value . '" ';
}
// Remove trailing space
$shortcode_atts = rtrim($shortcode_atts);
?>
<div class="writers-portfolio-slider-area">
	<?php echo wp_kses_post(do_shortcode('[rswpbs_book_slider '. $shortcode_atts .']'));?>
</div>