<?php
/**
* Template Name: Header One
*
*/

$getHbg = get_theme_mod('header_background');
$headerBgURL = get_header_image();
if (!empty($getHbg['background-image'])) {
	$headerBgURL = $getHbg['background-image'];
}
?>
<header id="masthead" class="site-header header-five" style="background-image: url(<?php echo esc_url($headerBgURL);?>);">
	<?php
	if (has_header_image()) {
		?>
		<div class="header-overly-color"></div>
		<?php
	}
	?>
	<div class="header-logo-section">
		<div class="container">
			<div class="row">
				<div class="col-md-12 text-center">
					<div class="site-branding header-logo">
						<?php
						if ( has_custom_logo() ) :
							the_custom_logo();
						endif;
						?>
						<h1 class="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></h1>
						<?php
						$writers_portfolio_description = get_bloginfo( 'description', 'display' );
						if ( $writers_portfolio_description || is_customize_preview() ) :
							?>
						<p class="site-description"><?php echo esc_html( $writers_portfolio_description ); /* WPCS: xss ok. */ ?></p>
							<?php
						endif;
						?>
					</div><!-- .site-branding -->
				</div>
			</div>
		</div>
	</div>
	<?php
	if (has_nav_menu('main-menu')) :
	?>
	<div class="header-menu-area">
		<div class="container">
			<div class="row">
				<div class="col-md-12 mt-4 m-auto align-self-center menu-area-col">
					<div class="cssmenu text-center" id="cssmenu">
						<?php
							wp_nav_menu(
								array(
									'theme_location'    => 'main-menu',
									'container'         => 'ul',
								)
							);
						?>
					</div>
				</div>
			</div>
		</div>
	</div>
	<?php endif;?>
</header><!-- #masthead -->