<?php
/**
* Template Name: Header Two
*
*/

$getHbg = get_theme_mod('header_background');

$logoTitleInline = get_theme_mod('logo_title_inline', true);

$headerClasses = 'site-header header-two';
$siteBrandingExtraClasses = '';
if (true == $logoTitleInline) {
	$headerClasses .= ' logo-title-inline';
	$siteBrandingExtraClasses = 'd-flex';
}

?>
<header id="masthead" class="<?php echo esc_attr($headerClasses);?>">
	<div class="header-logo-and-menu-section">
		<div class="container">
			<div class="row">
				<div class="col-lg-4 text-left">
					<div class="site-branding header-logo <?php echo esc_attr($siteBrandingExtraClasses);?>">
						<?php
						$titleAndTaglineWrapper = ' no-logo';
						if ( has_custom_logo() ) :
							$titleAndTaglineWrapper = ' has-logo';
						?>
						<div class="site-logo-wrapper align-self-center">
							<?php
								the_custom_logo();
							?>
						</div>
						<?php endif;?>
						<div class="site-title-and-description-wrapper align-self-center<?php echo esc_attr($titleAndTaglineWrapper);?>">
							<h1 class="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></h1>
							<?php
							$writers_portfolio_description = get_bloginfo( 'description', 'display' );
							if ( $writers_portfolio_description || is_customize_preview() ) :
								?>
							<p class="site-description"><?php echo esc_html( $writers_portfolio_description ); /* WPCS: xss ok. */ ?></p>
								<?php
							endif;
							?>
						</div>
					</div><!-- .site-branding -->
				</div>
				<div class="col-lg-8 align-self-center menu-area-col">
					<div class="cssmenu" id="cssmenu">
						<?php
							wp_nav_menu(
								array(
									'theme_location'    => 'main-menu',
									'container'         => 'ul',
								)
							);
						?>
					</div>
				</div>
			</div>
		</div>
	</div>
</header><!-- #masthead -->